﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace BasicDataBinding
{
    public partial class MainPage : UserControl
    {
        public MainPage() {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e) {
            var b = new Book {
                Title = "Beginning Silverlight 4: From Novice to Professional",
                ISBN = "978-1430229889"
            };
            this.LayoutRoot.DataContext = b;
        }

        private void Button_Click(object sender, RoutedEventArgs e) {
            MessageBox.Show("SomeSome");
        }
    }

    public class Book : INotifyPropertyChanged
    {
        private string _Title;
        public string Title {
            get { return _Title; }
            set {
                _Title = value;
                FirePropertyChanged("Title");
            }
        }

        private string _ISBN;
        public string ISBN {
            get { return _ISBN; }
            set {
                _ISBN = value;
                FirePropertyChanged("ISBN");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        void FirePropertyChanged(string property) {
            if (PropertyChanged != null) {
                PropertyChanged(this,
                    new PropertyChangedEventArgs(property));
            }
        }
    }
}
